Summary:       Asterisk eSpeak module
Name:          asterisk-app_espeak
Version:       5.0
Release:       rc1%{?dist}
License:       GPLv2+
URL:           https://zaf.github.io/Asterisk-eSpeak/

Source:        Asterisk-eSpeak-%{version}-rc1.tar.gz

Requires:      asterisk
Requires:      espeak-ng
Requires:      libsamplerate

BuildRequires: asterisk-devel
BuildRequires: espeak-ng-devel
BuildRequires: libsamplerate-devel


%description
Asterisk eSpeak module.


%prep
%setup -q -n Asterisk-eSpeak-%{version}-rc1


%build
%{__make}


%install
install -D -p -m 0755 app_espeak.so %{buildroot}%{_libdir}/asterisk/modules/app_espeak.so
install -D -p -m 0644 espeak.conf.sample %{buildroot}%{_sysconfdir}/asterisk/espeak.conf


%files
%doc authors ChangeLog README
%license COPYING

%{_libdir}/asterisk/modules/app_espeak.so
%attr(0640,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/espeak.conf


%changelog
* Fri Mar 10 2023 Ernani Azevedo <azevedo@voipdomain.io> - 5.0-rc1
- first version
